from django.contrib import admin
from django.contrib.auth.admin import UserAdmin as DefaultUserAdmin
from .models import User


@admin.register(User)
class UserAdmin(DefaultUserAdmin):
    list_display = ("username", "email", "role", "source_manager", "is_active", "is_staff", "last_login")
    list_filter = ("role", "is_active", "is_staff", "is_superuser")
    search_fields = ("username", "email")
    fieldsets = DefaultUserAdmin.fieldsets + (
        ("角色权限", {"fields": ("role", "source_manager")}),
        ("网站权限", {"fields": ("managed_websites", "authorized_websites")}),
    )
    filter_horizontal = ("groups", "user_permissions", "managed_websites", "authorized_websites")
